Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#26 Le 19/02/2013, à 19:16

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Merci pour votre réponse ,
Voilà ce que j ai fait
j ai télécharger sur le site canon le pilote canon ip4600
Créé le dossier  Pilote Canon ip4600
     /home/michel/Téléchargements/Pilote Canon ip4600'
sous ce dossier j ai extrait les :
      cnijfilter-ip4600series_3.00-1_i386
      cnijfilter-common-3.00

la manip

michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ wget http://demonipuch.free.fr/rebuildeb_canon.sh
--2013-02-19 17:21:11--  http://demonipuch.free.fr/rebuildeb_canon.sh
Résolution de demonipuch.free.fr (demonipuch.free.fr)... 212.27.63.104
Connexion vers demonipuch.free.fr (demonipuch.free.fr)|212.27.63.104|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Longueur: 1893 (1,8K) [text/x-sh]
Sauvegarde en : «rebuildeb_canon.sh.1»

100%[==========================================================>] 1 893       --.-K/s   ds 0,001s 

2013-02-19 17:21:11 (3,46 MB/s) - «rebuildeb_canon.sh.1» sauvegardé [1893/1893]

Ensuite :
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ chmod +x rebuildeb_canon.sh
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ ./rebuildeb_canon.sh cnijfilter-common_3.00-1_i386.deb
Can't find file : cnijfilter-common_3.00-1_i386.deb.
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

Ensuite :
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ ./rebuildeb_canon.sh cnijfilter-ip4600series_3.30-1_i386.deb
Can't find file : cnijfilter-ip4600series_3.30-1_i386.deb.
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

Voila rien de plus aucune réaction de la machine
Désolé si ce n est pas suffisamment claire

Dernière modification par michelarbre (Le 19/02/2013, à 19:17)

Hors ligne

#27 Le 19/02/2013, à 19:48

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Merci pour votre réponse ,
Voilà ce que j ai fait
j ai télécharger sur le site canon le pilote canon ip4600
Créé le dossier  Pilote Canon ip460
             /home/michel/Téléchargements/Pilote Canon ip4600'
sous ce dossier j ai extrait les :
cnijfilter-ip4600series_3.00-1_i386
cnijfilter-common-3.00

la manip

michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ wget http://demonipuch.free.fr/rebuildeb_canon.sh
--2013-02-19 17:21:11--  http://demonipuch.free.fr/rebuildeb_canon.sh
Résolution de demonipuch.free.fr (demonipuch.free.fr)... 212.27.63.104
Connexion vers demonipuch.free.fr (demonipuch.free.fr)|212.27.63.104|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Longueur: 1893 (1,8K) [text/x-sh]
Sauvegarde en : «rebuildeb_canon.sh.1»

100%[==========================================================>] 1 893       --.-K/s   ds 0,001s 

2013-02-19 17:21:11 (3,46 MB/s) - «rebuildeb_canon.sh.1» sauvegardé [1893/1893]

Ensuite :
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ chmod +x rebuildeb_canon.sh
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ ./rebuildeb_canon.sh cnijfilter-common_3.00-1_i386.deb
Can't find file : cnijfilter-common_3.00-1_i386.deb.
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

Ensuite :
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ ./rebuildeb_canon.sh cnijfilter-ip4600series_3.30-1_i386.deb
Can't find file : cnijfilter-ip4600series_3.30-1_i386.deb.
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

Voila rien de plus aucune réaction de la machine
Désolé si ce n est pas suffisamment claire

Hors ligne

#28 Le 19/02/2013, à 20:53

demonipuch

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

michelarbre a écrit :

Can't find file : cnijfilter-common_3.00-1_i386.deb.
Can't find file : cnijfilter-ip4600series_3.30-1_i386.deb.

Les paquets ne se trouvent visiblement pas dans /home/michel/Téléchargements/Pilote Canon ip4600

Vous pouvez localiser où se trouvent les paquets en utilisant cette commande :

find $HOME -type f -iname "cnijfilter*.deb"

Hors ligne

#29 Le 22/02/2013, à 17:32

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Ok voila le résultat
michel@michel-haut:~$ find $HOME -type f -iname "cnijfilter*.deb"
/home/michel/Téléchargements/iP4600_debian_printer/cnijfilter-common_3.00-1_i386.deb
/home/michel/Téléchargements/iP4600_debian_printer/cnijfilter-ip4600series_3.00-1_i386.deb
michel@michel-haut:~$

Hors ligne

#30 Le 22/02/2013, à 19:00

demonipuch

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

cd $HOME/Téléchargements/Pilote\ Canon\ ip4600
./rebuildeb_canon.sh ../iP4600_debian_printer/cnijfilter-common_3.00-1_i386.deb
./rebuildeb_canon.sh ../iP4600_debian_printer/cnijfilter-ip4600series_3.00-1_i386.deb

Hors ligne

#31 Le 22/02/2013, à 19:38

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Merci pour aide, voila le resultat:
michel@michel-haut:~$ cd $HOME/Téléchargements/Pilote\ Canon\ ip4600
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$ ./rebuildeb_canon.sh ../iP4600_debian_printer/cnijfilter-common_3.00-1_i386.deb
Rebuild this package? cnijfilter-common_3.00-1_i386.deb [y/n] y
Rebuild this package? cnijfilter-common_3.00-1_i386.deb [y/n] y
[sudo] password for michel:
dpkg-deb : construction du paquet « cnijfilter-common » dans « ../iP4600_debian_printer/cnijfilter-common_3.00-1_i386.deb ».
New package built...
Install new package? [y/n] y
(Lecture de la base de données... 246225 fichiers et répertoires déjà installés.)
Préparation du remplacement de cnijfilter-common 3.00-1 (en utilisant .../cnijfilter-common_3.00-1_i386.deb) ...
Dépaquetage de la mise à jour de cnijfilter-common ...
Paramétrage de cnijfilter-common (3.00-1) ...
michel@michel-haut:~/Téléchargements/Pilote Canon ip4600$

Hors ligne

#32 Le 22/02/2013, à 19:45

demonipuch

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

L'installation des paquets semblent s'etre bien déroulée. Vous pouvez lancer un test d'impression pour confirmer que tout fonctionne.

Hors ligne

#33 Le 24/02/2013, à 14:26

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Bonjour, et merci pour votre aide
Malheureusement il n’y a rien de changer, je vais essayer turbotprint qu’ en pensé vous?
Bon dimanche

Hors ligne

#34 Le 24/02/2013, à 17:08

demonipuch

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Vous utilisez bien le pilote propriétaire de Canon?

Hors ligne

#35 Le 24/02/2013, à 19:11

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Non-suite a l installation j ai trouvé 2 menus
Cngpijmon-IP4600  qui s’ ouvre et m indique imprimante inconnu
Printui-IP4600 qui ne s’ouvre pas
Sans doute l installation qui n est correcte
Bonne soirée

Hors ligne

#36 Le 03/03/2013, à 20:09

michelarbre

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Bonjour tout d abord merci pour votre aide
Après avoir désinstallé les pilotes cn...... avec   Synaptic et réinstaller aussi avec Synatic qui a trouvé les pilotes, il semble que je fonctionne avec avec les bons drivers
la page teste m indique que les drivers ont été changé
Avant STP0068.PPD  version 1.0
Maintenant CNIP4600.PPD  version 5.2.9
Merci pour tout

Hors ligne

#37 Le 17/04/2013, à 12:04

Eric Victor

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

Bonjour,

j'ai installé ma pixma mp140 avec votre script

Le scanner fonctionne sans problème, mais impossible d'imprimer un document ou une page test bien que ceux-ci apparaissent dans la file d'attente mais avec l'indication "arrêté"
si je clique deux fois sur l'imprimante j'ai le message suivant:

l'option "printer-résolution" a pour valeur "(unknow IPP tag)" et ne peut pas être modifiée.

De plus dans les propriétés de l'imprimante, j'ai deux boutons "imprimer la page test", le premier bouton est opérationnel, le second non ( exception qu'il incrémante le nombre de la tâche)


J'ai refait une installation, et là hélas, je n'arrive plus à faire le second rebuild et l'imprimante n'est plus visible, le scanner lui fonctionne!

$ ./rebuildeb_canon.sh /home/mp140/cnijfilter-mp140series_2.80-1_i386.deb
Rebuild this package? cnijfilter-mp140series_2.80-1_i386.deb [y/n] y
dpkg-deb : construction du paquet « cnijfilter-mp140series » dans « /home/mp140/cnijfilter-mp140series_2.80-1_i386.deb ».
New package built...
Install new package? [y/n] y
(Lecture de la base de données... 174682 fichiers et répertoires déjà installés.)
Préparation du remplacement de cnijfilter-mp140series 2.80-1 (en utilisant .../cnijfilter-mp140series_2.80-1_i386.deb) ...
Dépaquetage de la mise à jour de cnijfilter-mp140series ...
dpkg: des problèmes de dépendances empêchent la configuration de cnijfilter-mp140series :
cnijfilter-mp140series dépend de libatk1.0-0 (>= 1.9.0).
cnijfilter-mp140series dépend de libcairo2 (>= 1.0.2-2).
cnijfilter-mp140series dépend de libglib2.0-0 (>= 2.10.0).
cnijfilter-mp140series dépend de libgtk2.0-0 (>= 2.8.0).
cnijfilter-mp140series dépend de libpango1.0-0 (>= 1.12.3).

dpkg: erreur de traitement de cnijfilter-mp140series (--install) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
cnijfilter-mp140series

les 5 dépendances sont installées, mais ce sont d'autres versions   

libatk1.0-0 (>= 1.9.0).            2.4.0-2
libcairo2 (>= 1.0.2-2).            1.12.2-2
libglib2.0-0 (>= 2.10.0).         2.33.12
libgtk2.0-0 (>= 2.8.0).            2.24.10-2
libpango1.0-0 (>= 1.12.3).     1.30.0-1


j'ai rebranché l'imprimante, elle est de nouveau visible, impossible d'imprimer une page test
même pas visible dans la liste d'attente.

message erreur suivant

L'option « printer-resolution » a pour valeur « (unknown IPP tag) » et ne peut pas être modifiée.

Auriez vous une idée pour m'aider.


Merci

Eric Victor

----------------------------------------------------------------------------
Computer
Processor    4x Intel(R) Core(TM) i3 CPU 530 @ 2.93GHz
Memory    6057MB (559MB used)
Operating System    LMDE MATE Edition
-----------------------------------------------------------------------------
Operating System
Version
Kernel    Linux 3.2.0-4-amd64 (x86_64)
Compiled    #1 SMP Debian 3.2.32-1
C Library    Unknown
Default C Compiler    GNU C Compiler version 4.7.2 (Debian 4.7.2-4)
Distribution    LMDE MATE Edition

Dernière modification par Eric Victor (Le 17/04/2013, à 17:38)

Hors ligne

#38 Le 07/07/2013, à 16:15

eturnal

Re : Régler le probleme de dépendance libcupsys2 avec les pilotes Canon

bonjour,
merci beaucoup pour votre travail il m'a été très utile. je viens donc d'installer une imprimante scanner canon mp190 sur xubuntu 12.04.1, et tout fonctionne très bien. pour ce faire je me suis basé sur cette page de doc: http://doc.ubuntu-fr.org/imprimante_canon_pixma_mp190  ,et celle où nous nous trouvons.
à bientôt

Hors ligne

Haut de page ↑